Name: iausofa-c
Version: 20120301a
Release: %mkrel 3
Summary: Standards of fundamental astronomy

# Upstream version
%define major 0
%define libname %mklibname sofa %{major}
%define libname_virt	libsofa
%define develname %mklibname sofa -d

Group: Sciences/Astronomy
License: SOFA
URL: http://www.iausofa.org/
Source0: http://www.iausofa.org/2012_0301_C/sofa_c-20120301_a.tar.gz
Patch0: iausofa-c-deb-set_installation_path.patch
Patch1: iausofa-c-deb-create_shared_lib.patch


%description
SOFA operates under the auspices of the International Astronomical
Union (IAU) to provide algorithms and software for use in astronomical
computing. The initiative is managed by an international panel, the
SOFA Board, appointed through IAU Division A. The Board obtains the
latest IAU-approved models and theories from the fundamental-astronomy
community, implements them as computer code and checks them for
accuracy. SOFA works closely with all the Commissions of the Division
and with the International Earth Rotation and Reference Systems
Service (IERS).

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: Standards of fundamental astronomy
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
%description -n %{libname}
SOFA operates under the auspices of the International Astronomical
Union (IAU) to provide algorithms and software for use in astronomical
computing. The initiative is managed by an international panel, the
SOFA Board, appointed through IAU Division A. The Board obtains the
latest IAU-approved models and theories from the fundamental-astronomy
community, implements them as computer code and checks them for
accuracy. SOFA works closely with all the Commissions of the Division
and with the International Earth Rotation and Reference Systems
Service (IERS)

%prep
%setup -q -n sofa
%apply_patches

%build
cd 20120301_a/c/src
%make libsofa_c.so

%check
cd 20120301_a/c/src
%make check

%install
cd 20120301_a/c/src
%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_includedir}
cp *.h %{buildroot}%{_includedir}
cp libsofa_c.so.0.0 %{buildroot}%{_libdir}
cd %{buildroot}%{_libdir}
ln -s libsofa_c.so.0.0 libsofa_c.so.0
ln -s libsofa_c.so.0 libsofa_c.so

%files -n %{libname}
%{_libdir}/libsofa_c.so.*

%files -n %{develname}
%{_libdir}/libsofa_c.so
%{_includedir}/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 20120301a-3.mga4
+ Revision: 531836
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 joequant <joequant> 20120301a-2.mga4
+ Revision: 465452
- fix deps iausofa-c

* Sat Aug 10 2013 joequant <joequant> 20120301a-1.mga4
+ Revision: 465270
- imported package iausofa-c

